
QGIS Application - Bug report #790

Crash while digitizing line

2007-11-02 08:19 AM - sgillies -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10849

Description

QGIS 0.9.0 on Windows 2000.

I attempted to digitize a line from a large TIFF (100MB).

Created a new shapefile and zoomed in. Clicked along the raster merrily with no problems until I approached the edge of the window.

Needing to pan while continuing the same line, I naively went to the pan tool in the toolbar and clicked it. Doing so, I lost my digitized line

without warning (a bug in itself, I think). Next thing I tried was to select the line editing tool again, and this caused the crash. The problem

is reproducible following the steps above. Specifically, the error is:

Unhandled exception in qgis.exe (LIBQGIS_GUI.DLL) 0xC0000005: Access violation

Associated revisions

Revision 5043bf7c - 2010-08-16 09:16 AM - Jürgen Fischer

fix #790 again

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14088 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision da7e57d9 - 2010-08-16 09:16 AM - Jürgen Fischer

fix #790 again

git-svn-id: http://svn.osgeo.org/qgis/trunk@14088 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2007-11-02 08:27 AM - Gary Sherman

As a workaround you can pan while digitizing (or at any other time) by holding down the space bar and moving the mouse.

#2 - 2007-11-05 11:21 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:21d8f805 (SVN r7329)

2024-04-20 1/2

http://svn.osgeo.org/qgis/trunk/qgis@14088
http://svn.osgeo.org/qgis/trunk@14088


2024-04-20 2/2


